Webhooks

Rabo Identity Services uses webhooks to notify you about events in your workflows, e.g. status changes. When you receive a webhook notification, make the relevant GET status request to receive detailed information about the event or case.

Webhooks are more efficient than polling our server with GET status requests to check if events have occurred. However, they contain less information than GET status responses and aren’t intended to replace them.

We send notifications almost immediately, depending on processing time and whether status changes were triggered automatically or manually.

Webhooks are send using the POST method and the payload is contained in the JSON request body.

Setup

The setup of the webhooks itself is handled during the onboarding of your account. The required information is requested through an order form. Where the following information is requested:

  • URLs in HTTPS format
  • Different URL's for both the Rabobank Preproduction and Rabobank Production environments
🚧

The Rabobank Sandbox environment does not support webhooks, it's advised to use Rabobank Preproduction during the integration and testing phase. More information on Rabobank environments

Payload

When the status of the verification changes, Rabo Identity Services will send out a webook event to indicate the status has changed. The webhook event is send to the URL provided by you during the onboarding phase. An example of such an event is provided below:

{
    "verificationId": "10039f86-d6d2-4c86-976f-4b9f97769950",
    "hash": "6085166f-3004-4166-9829-cc865ca6dfa6",
    "status": "completed",
    "processType": "NaturalPersons",
    "sla": {
        "kycReceived": "2026-01-01T00:00:000Z",
        "slaStart": "2026-01-01T00:00:000Z",
        "slaPause": "2026-01-01T00:00:000Z",
        "slaEnd": "2026-01-01T00:00:000Z",
        "withinSla": true,
        "slaBucket": "bucket1"
    },
    "messages": [
        {
            "timestamp": "2026-01-01T00:00:000Z",
            "statusCode": 200,
            "description": "Verification completed - Low risk"
        }
    ],
    "dataRectified": true,
    "timestamp": "2026-01-01T00:00:000Z"
}

📘

Webhooks send out by Rabo Identity Services support basic authentication. The setup of the authentication mechanism and exchange of the credentials (generated by you) is handled during the onboarding phase.

Retry mechanism

In case we receive a 4xx or 5xx error when attempting to deliver the webhook event a retry mechanism is invoked with an exponential backoff algorithm, where the last attempt is send after 3 days.